import { useContext } from 'react'
import {
  Box,
  Button
} from '@material-ui/core';

import UserContext from '../user-context'


const Home = () => {
  const { token, setToken } = useContext(UserContext)

  const handleLogout = (e) => {
    e.preventDefault()
    localStorage.removeItem('token')
    setToken(null)
  }

  return (
    <Box>
      <h1>Home</h1>

      <Button
        variant="contained"
        color="secondary"
        onClick={handleLogout}>
        Logout
      </Button>
    </Box>
  )
}

export default Home
